# Type Alias SocialAction

type SocialAction = {
count?: number;
icon: string | null;
isActive?: boolean;
label: string;
targetId: number;
targetType: string;
type: string;
}

- Defined in jamespot-user-api/src/types/global.ts:64

##### Index

### Properties

count?
icon
isActive?
label
targetId
targetType
type

## Properties

### `Optional` count

count?: number

- Defined in jamespot-user-api/src/types/global.ts:70

### icon

icon: string | null

- Defined in jamespot-user-api/src/types/global.ts:68

### `Optional` isActive

isActive?: boolean

- Defined in jamespot-user-api/src/types/global.ts:69

### label

label: string

- Defined in jamespot-user-api/src/types/global.ts:71

### targetId

targetId: number

- Defined in jamespot-user-api/src/types/global.ts:65

### targetType

targetType: string

- Defined in jamespot-user-api/src/types/global.ts:66

### type

type: string

- Defined in jamespot-user-api/src/types/global.ts:67